color_space_YCoCg.hpp File Reference

GLM_GTX_color_space_YCoCg More...

Go to the source code of this file.

## Functions

template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | rgb2YCoCg (vec< 3, T, Q > const &rgbColor)
| Convert a color from RGB color space to YCoCg color space. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | rgb2YCoCgR (vec< 3, T, Q > const &rgbColor)
| Convert a color from RGB color space to YCoCgR color space. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | YCoCg2rgb (vec< 3, T, Q > const &YCoCgColor)
| Convert a color from YCoCg color space to RGB color space. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | YCoCgR2rgb (vec< 3, T, Q > const &YCoCgColor)
| Convert a color from YCoCgR color space to RGB color space. More...

## Detailed Description

GLM_GTX_color_space_YCoCg

See also
  Core features (dependence)

Definition in file color_space_YCoCg.hpp.